#ifndef _TEXTURE_MOVIE
#define _TEXTURE_MOVIE


#define MAX_NUM_FRAMES_FOR_MOVIE		(30*6)
#define WIDTH_MOV						320
#define HEIGHT_MOV						240

#include "ofMain.h"

class textureMovie {
	
	public:
		
		void setup();
		
		void idle();
		void draw(float x, float y);
		
		bool 			bSetup;
		float 			currentFrame;
		int 			width, height;
		float 			lastFrameTime;
		float 			speed;		// 1 = 30 fps, 2 = 60 fps;
		ofTexture		* frames;
		
		
		
};

#endif	

